List all storage classes in NetApp Console local deployment
GET /v1/organizations/{organizationId}/storageclasses
Retrieves a list of all storage classes within the specified organization.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Unique identifier of the organization. |
filter |
string |
query |
False |
Specifies which fields should be matched when listing resources. Supported comparison operators:
Logical operators:
Property names support:
Value types:
Grouping:
IN operator syntax:
Examples:
URL-encoded example: "filter=field1%20eq%20'value1'%20or%20field2%20ne%20'value2'" |
orderBy |
string |
query |
False |
Specifies the field and direction for sorting resources when listing a collection. Format: field [asc/desc] Direction keywords (case-insensitive):
Examples:
|
skip |
string |
query |
False |
Specifies the number of resources to skip when listing a collection. URL examples: "skip=1" OpenAPI examples: "1" |
limit |
string |
query |
False |
Specifies the maximum number of resources to return when listing a collection. URL examples: "limit=2" OpenAPI examples: "2" |
count |
string |
query |
False |
Indicates if the total number of resources should be returned in the response object. URL examples: "count=true" OpenAPI examples: "true" |
Response
Status: 200
Storage classes retrieved successfully.
-
By default and when the Accept header is
application/vnd.netapp.bxp.storageclass+json:The response returned for each storage class will contain only
idandnameof the policies associated with it. For example, Default Storage Class List Response. -
When the Accept header is
application/vnd.netapp.bxp.storageclass.extended+json:The response returned for each storage class will contain complete details of the policies associated with it. For example, Extended Storage Class List Response.
| Name | Type | Required | Description |
|---|---|---|---|
count |
integer |
False |
Total number of resources in the collection that match the query. |
items |
False |
List of storage classes. |
Example response
{
"count": 1,
"items": [
{
"capacityPolicy": {
"id": "b336b8c1-b388-43e4-8f85-4ca84121ebda",
"name": "General Purpose Capacity Policy"
},
"description": "Configuration for high performance workloads",
"id": "0fedcba9-8765-4321-0fed-cba987654321",
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
},
"name": "High Performance Configuration",
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"performancePolicy": {
"id": "494a3e48-812a-4204-8450-32aa6aaf1c5f",
"name": "High Performance Policy"
},
"protectionPolicies": [
{
"id": "92a8fc02-3bd2-4e1f-b034-521ca42ddabf",
"name": "Snapshot Protected Policy"
}
],
"securityPolicy": {
"id": "188714a5-6687-4410-83c3-7214f2943b2d",
"name": "Encryption Enabled Policy"
},
"storageClassType": "SYSTEM_DEFINED",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "3"
},
{
"internal:bxp:metric:complianceStatus": "compliant"
}
],
"type": "application/vnd.netapp.bxp.storageclass",
"version": "1.0"
}
]
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Definitions
See Definitions
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
capacity_policy_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
autoGrow |
string |
False |
Auto-grow setting of the capacity policy. |
description |
string |
False |
Description of the capacity policy. |
id |
string |
True |
Unique identifier of the capacity policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the capacity policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the capacity policy. |
spaceReserved |
string |
False |
Space reservation setting of the capacity policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the capacity policy. Can be used to add any additional data related to the capacity policy. |
tiering |
string |
False |
Tiering setting of the capacity policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
volumeType |
string |
False |
Volume type setting of the capacity policy. |
adaptive_perf_policy_1.0
Adaptive performance policy details.
| Name | Type | Required | Description |
|---|---|---|---|
absoluteMinIopsPerTb |
integer |
False |
Absolute minimum IOPS per terabyte that is used as an override when the expected IOPS is less than this value. |
expectedIopsPerTb |
integer |
True |
Minimum expected IOPS, per terabyte. |
expectedLatency |
integer |
True |
Expected latency, in milliseconds. |
peakIopsPerTb |
integer |
True |
Maximum expected IOPS, per terabyte. |
performance_policy_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
adaptive |
False |
Adaptive performance policy details. |
|
description |
string |
False |
Description of the performance policy. |
id |
string |
True |
Unique identifier of the performance policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the performance policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the performance policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
snapshotSchedules
| Name | Type | Required | Description |
|---|---|---|---|
retentionCount |
integer |
False |
Number of snapshots to retain. |
schedule |
string |
False |
Type of schedule for snapshots. |
protection_policy_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
description |
string |
False |
Description of the protection policy. |
id |
string |
True |
Unique identifier of the protection policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the protection policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the protection policy. |
snapshotSchedules |
array[snapshotSchedules] |
False |
An array of snapshot schedules defined in the protection policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the protection policy. Can be used to add any additional data related to the protection policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
security_policy_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
description |
string |
False |
Description of the security policy. |
encryptionType |
string |
False |
Type of encryption applied by the security policy. Should be enabled (ENABLED) or can be enabled or disabled (ANY). |
fips |
string |
False |
FIPS setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY). |
id |
string |
True |
Unique identifier of the security policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the security policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the security policy. |
ransomwareProtection |
string |
False |
Ransomware protection setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY). |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the security policy. Can be used to add any additional data related to the security policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
storage_class_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
capacityPolicy |
False |
||
description |
string |
False |
Description of the storage class. |
id |
string |
False |
Unique identifier of the storage class. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
False |
Name of the storage class. |
organizationId |
string |
False |
Organization ID that the storage class is associated with. |
performancePolicy |
False |
||
protectionPolicies |
False |
||
securityPolicy |
False |
||
storageClassType |
string |
False |
Type of the storage class. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the storage class. Can be used to add any additional data related to the storage class. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |